Page MenuHomePhabricator

Document how to use maps directly from JavaScript
Closed, ResolvedPublic

Description

Either at the help page, or at the extension page, describe how devs can use kartographer maps directly from javascript.

  • Document - on mediawiki - each resource (See "draft"/initial version: https://www.mediawiki.org/wiki/Help:Extension:Kartographer/Developer_guide)
  • Add basic code examples - on mediawiki - to show how to use the public APIs directly.
  • Fix or remove the code examples currently inline with the code.
  • Document - on mediawiki - with more details how the Wikivoyage implementation work.

Event Timeline

Yurik created this task.Jun 17 2016, 12:23 AM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 17 2016, 12:23 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
Abbe98 added a subscriber: Abbe98.Jun 23 2016, 1:38 PM

I used the Wikimedia Maps tiles(/Leaflet) when I created examples and getting started content for the new Warper API.

Do you want me to turn some of those into raw Wikimedia Maps examples?

Yurik added a comment.Jun 23 2016, 1:41 PM

@Abbe98, where are they hosted? This task is mostly about using Kartographer extension's code directly from JavaScript. For example, commons could change their image upload wizard to show and edit the location where the picture was taken.

JGirault claimed this task.Jul 18 2016, 4:59 PM
JGirault updated the task description. (Show Details)
JGirault added a project: Maps-Sprint.
JGirault moved this task from Backlog to To-do on the Maps-Sprint board.Jul 18 2016, 5:05 PM
JGirault moved this task from To-do to In progress on the Maps-Sprint board.Aug 8 2016, 2:05 PM

Change 308865 had a related patch set uploaded (by MaxSem):
Add Doxyfile

https://gerrit.wikimedia.org/r/308865

Change 308865 merged by jenkins-bot:
Add Doxyfile

https://gerrit.wikimedia.org/r/308865

JGirault closed this task as Resolved.Oct 19 2016, 6:36 PM